Bug 90683 - Pasting table as DDE Link resets undo
Summary: Pasting table as DDE Link resets undo
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2015-04-17 18:53 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-04-21 08:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-17 18:53:42 UTC
Steps:
1) Open attachment 114868 [details]
2) Copy the second table
3) Move cursor to the first table's A1 position
4) Type some text and the undo icon will become active
5) Move cursor to the first table's A2 position
6) Paste special as DDE Link
5) Notice that undo icon has been reset

Version: 4.5.0.0.alpha0+
Build ID: 25c25f855169c98c30f3f7868fd1ad430e159ddc
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-14_08:59:23
Comment 1 Buovjaga 2015-04-17 18:55:48 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+ (x64)
Build ID: 53d7c88da82f6d16c0c9a45a86a3f9d505764605
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-10_02:14:19
Locale: fi_FI
Comment 2 QA Administrators 2016-09-20 09:24:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920